/**
* 文件：UserQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.user.model;
import java.util.List;
/**
 * <p>Title: 用户信息</p>
 * <p>Description: UserQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class UserQuery extends UserEntity{
	private static final long serialVersionUID = 1547777703377L;
	/** 开始 用户ID，主键，自增长 */
	private Long idStart;

	/** 结束 用户ID，主键，自增长 */
	private Long idEnd;

	/** 增加 用户ID，主键，自增长 */
	private Long idIncrement;

	/** 用户ID，主键，自增长 */
	private List<Long> idList;

	/** 登录名 */
	private List<String> loginNameList;

	/** 登录密码，使用md5双次加密 */
	private List<String> loginPwdList;

	/** 最近一次使用密码，使用md5双次加密 */
	private List<String> loginPwd1List;

	/** 最近二次使用密码，使用md5双次加密 */
	private List<String> loginPwd2List;

	/** 最近三次使用密码，使用md5双次加密 */
	private List<String> loginPwd3List;

	/** 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录 */
	private List<String> loginLimitAddressList;

	/** 用户名 */
	private List<String> realNameList;

	/** 用户手机号 */
	private List<String> mobileList;

	/** 用户联系电话 */
	private List<String> phoneList;

	/** 用户邮箱 */
	private List<String> emailList;

	/** QQ号码 */
	private List<String> qqList;

	/** 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeStart;

	/** 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeEnd;

	/** 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private Integer userTypeIncrement;

	/** 用户类型，0：系统用户 1:代理商用户 2:品牌商用户 */
	private List<Integer> userTypeList;

	/** 开始 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1 */
	private Integer statusStart;

	/** 结束 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1 */
	private Integer statusEnd;

	/** 增加 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1 */
	private Integer statusIncrement;

	/** 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1 */
	private List<Integer> statusList;

	/** 开始 客户ID */
	private Long customerIdStart;

	/** 结束 客户ID */
	private Long customerIdEnd;

	/** 增加 客户ID */
	private Long customerIdIncrement;

	/** 客户ID */
	private List<Long> customerIdList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 创建用户 */
	private Long createUserIdStart;

	/** 结束 创建用户 */
	private Long createUserIdEnd;

	/** 增加 创建用户 */
	private Long createUserIdIncrement;

	/** 创建用户 */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;

	/** 开始 最后一次登录时间 */
	private String lastLoginTimeStart;

	/** 结束 最后一次登录时间 */
	private String lastLoginTimeEnd;

	/** 最后一次登录地址 */
	private List<String> lastLoginAddressList;

	/** 开始 最后修改密码时间 */
	private String lastModPwdTimeStart;

	/** 结束 最后修改密码时间 */
	private String lastModPwdTimeEnd;

	/** 最后修改密码地址 */
	private List<String> lastModPwdAddrList;


	public UserQuery(){
	}
	/**
	 * 获取 开始 用户ID，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 用户ID，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 用户ID，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 用户ID，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 用户ID，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 用户ID，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 用户ID，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 用户ID，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 登录名
	 * @return loginNameList
	 */
	public List<String> getLoginNameList(){
		return this.loginNameList;
	}

	/**
	 * 设置 登录名
	 * @param loginNameList
	 */
	public void setLoginNameList(List<String> loginNameList){
		this.loginNameList = loginNameList;
	}

	/**
	 * 获取 登录密码，使用md5双次加密
	 * @return loginPwdList
	 */
	public List<String> getLoginPwdList(){
		return this.loginPwdList;
	}

	/**
	 * 设置 登录密码，使用md5双次加密
	 * @param loginPwdList
	 */
	public void setLoginPwdList(List<String> loginPwdList){
		this.loginPwdList = loginPwdList;
	}

	/**
	 * 获取 最近一次使用密码，使用md5双次加密
	 * @return loginPwd1List
	 */
	public List<String> getLoginPwd1List(){
		return this.loginPwd1List;
	}

	/**
	 * 设置 最近一次使用密码，使用md5双次加密
	 * @param loginPwd1List
	 */
	public void setLoginPwd1List(List<String> loginPwd1List){
		this.loginPwd1List = loginPwd1List;
	}

	/**
	 * 获取 最近二次使用密码，使用md5双次加密
	 * @return loginPwd2List
	 */
	public List<String> getLoginPwd2List(){
		return this.loginPwd2List;
	}

	/**
	 * 设置 最近二次使用密码，使用md5双次加密
	 * @param loginPwd2List
	 */
	public void setLoginPwd2List(List<String> loginPwd2List){
		this.loginPwd2List = loginPwd2List;
	}

	/**
	 * 获取 最近三次使用密码，使用md5双次加密
	 * @return loginPwd3List
	 */
	public List<String> getLoginPwd3List(){
		return this.loginPwd3List;
	}

	/**
	 * 设置 最近三次使用密码，使用md5双次加密
	 * @param loginPwd3List
	 */
	public void setLoginPwd3List(List<String> loginPwd3List){
		this.loginPwd3List = loginPwd3List;
	}

	/**
	 * 获取 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
	 * @return loginLimitAddressList
	 */
	public List<String> getLoginLimitAddressList(){
		return this.loginLimitAddressList;
	}

	/**
	 * 设置 登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录
	 * @param loginLimitAddressList
	 */
	public void setLoginLimitAddressList(List<String> loginLimitAddressList){
		this.loginLimitAddressList = loginLimitAddressList;
	}

	/**
	 * 获取 用户名
	 * @return realNameList
	 */
	public List<String> getRealNameList(){
		return this.realNameList;
	}

	/**
	 * 设置 用户名
	 * @param realNameList
	 */
	public void setRealNameList(List<String> realNameList){
		this.realNameList = realNameList;
	}

	/**
	 * 获取 用户手机号
	 * @return mobileList
	 */
	public List<String> getMobileList(){
		return this.mobileList;
	}

	/**
	 * 设置 用户手机号
	 * @param mobileList
	 */
	public void setMobileList(List<String> mobileList){
		this.mobileList = mobileList;
	}

	/**
	 * 获取 用户联系电话
	 * @return phoneList
	 */
	public List<String> getPhoneList(){
		return this.phoneList;
	}

	/**
	 * 设置 用户联系电话
	 * @param phoneList
	 */
	public void setPhoneList(List<String> phoneList){
		this.phoneList = phoneList;
	}

	/**
	 * 获取 用户邮箱
	 * @return emailList
	 */
	public List<String> getEmailList(){
		return this.emailList;
	}

	/**
	 * 设置 用户邮箱
	 * @param emailList
	 */
	public void setEmailList(List<String> emailList){
		this.emailList = emailList;
	}

	/**
	 * 获取 QQ号码
	 * @return qqList
	 */
	public List<String> getQqList(){
		return this.qqList;
	}

	/**
	 * 设置 QQ号码
	 * @param qqList
	 */
	public void setQqList(List<String> qqList){
		this.qqList = qqList;
	}

	/**
	 * 获取 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeStart
	 */
	public Integer getUserTypeStart(){
		return this.userTypeStart;
	}

	/**
	 * 设置 开始 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeStart
	 */
	public void setUserTypeStart(Integer userTypeStart){
		this.userTypeStart = userTypeStart;
	}

	/**
	 * 获取 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeEnd
	 */
	public Integer getUserTypeEnd(){
		return this.userTypeEnd;
	}

	/**
	 * 设置 结束 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeEnd
	 */
	public void setUserTypeEnd(Integer userTypeEnd){
		this.userTypeEnd = userTypeEnd;
	}

	/**
	 * 获取 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeIncrement
	 */
	public Integer getUserTypeIncrement(){
		return this.userTypeIncrement;
	}

	/**
	 * 设置 增加 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeIncrement
	 */
	public void setUserTypeIncrement(Integer userTypeIncrement){
		this.userTypeIncrement = userTypeIncrement;
	}

	/**
	 * 获取 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @return userTypeList
	 */
	public List<Integer> getUserTypeList(){
		return this.userTypeList;
	}

	/**
	 * 设置 用户类型，0：系统用户 1:代理商用户 2:品牌商用户
	 * @param userTypeList
	 */
	public void setUserTypeList(List<Integer> userTypeList){
		this.userTypeList = userTypeList;
	}

	/**
	 * 获取 开始 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @return statusStart
	 */
	public Integer getStatusStart(){
		return this.statusStart;
	}

	/**
	 * 设置 开始 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @param statusStart
	 */
	public void setStatusStart(Integer statusStart){
		this.statusStart = statusStart;
	}

	/**
	 * 获取 结束 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @return statusEnd
	 */
	public Integer getStatusEnd(){
		return this.statusEnd;
	}

	/**
	 * 设置 结束 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @param statusEnd
	 */
	public void setStatusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
	}

	/**
	 * 获取 增加 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @return statusIncrement
	 */
	public Integer getStatusIncrement(){
		return this.statusIncrement;
	}

	/**
	 * 设置 增加 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @param statusIncrement
	 */
	public void setStatusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
	}

	/**
	 * 获取 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @return statusList
	 */
	public List<Integer> getStatusList(){
		return this.statusList;
	}

	/**
	 * 设置 用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1
	 * @param statusList
	 */
	public void setStatusList(List<Integer> statusList){
		this.statusList = statusList;
	}

	/**
	 * 获取 开始 客户ID
	 * @return customerIdStart
	 */
	public Long getCustomerIdStart(){
		return this.customerIdStart;
	}

	/**
	 * 设置 开始 客户ID
	 * @param customerIdStart
	 */
	public void setCustomerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
	}

	/**
	 * 获取 结束 客户ID
	 * @return customerIdEnd
	 */
	public Long getCustomerIdEnd(){
		return this.customerIdEnd;
	}

	/**
	 * 设置 结束 客户ID
	 * @param customerIdEnd
	 */
	public void setCustomerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
	}

	/**
	 * 获取 增加 客户ID
	 * @return customerIdIncrement
	 */
	public Long getCustomerIdIncrement(){
		return this.customerIdIncrement;
	}

	/**
	 * 设置 增加 客户ID
	 * @param customerIdIncrement
	 */
	public void setCustomerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
	}

	/**
	 * 获取 客户ID
	 * @return customerIdList
	 */
	public List<Long> getCustomerIdList(){
		return this.customerIdList;
	}

	/**
	 * 设置 客户ID
	 * @param customerIdList
	 */
	public void setCustomerIdList(List<Long> customerIdList){
		this.customerIdList = customerIdList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 创建用户
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}

	/**
	 * 获取 开始 最后一次登录时间
	 * @return lastLoginTimeStart
	 */
	public String getLastLoginTimeStart(){
		return this.lastLoginTimeStart;
	}

	/**
	 * 设置 开始 最后一次登录时间
	 * @param lastLoginTimeStart
	 */
	public void setLastLoginTimeStart(String lastLoginTimeStart){
		this.lastLoginTimeStart = lastLoginTimeStart;
	}

	/**
	 * 获取 结束 最后一次登录时间
	 * @return lastLoginTimeEnd
	 */
	public String getLastLoginTimeEnd(){
		return this.lastLoginTimeEnd;
	}

	/**
	 * 设置 结束 最后一次登录时间
	 * @param lastLoginTimeEnd
	 */
	public void setLastLoginTimeEnd(String lastLoginTimeEnd){
		this.lastLoginTimeEnd = lastLoginTimeEnd;
	}

	/**
	 * 获取 最后一次登录地址
	 * @return lastLoginAddressList
	 */
	public List<String> getLastLoginAddressList(){
		return this.lastLoginAddressList;
	}

	/**
	 * 设置 最后一次登录地址
	 * @param lastLoginAddressList
	 */
	public void setLastLoginAddressList(List<String> lastLoginAddressList){
		this.lastLoginAddressList = lastLoginAddressList;
	}

	/**
	 * 获取 开始 最后修改密码时间
	 * @return lastModPwdTimeStart
	 */
	public String getLastModPwdTimeStart(){
		return this.lastModPwdTimeStart;
	}

	/**
	 * 设置 开始 最后修改密码时间
	 * @param lastModPwdTimeStart
	 */
	public void setLastModPwdTimeStart(String lastModPwdTimeStart){
		this.lastModPwdTimeStart = lastModPwdTimeStart;
	}

	/**
	 * 获取 结束 最后修改密码时间
	 * @return lastModPwdTimeEnd
	 */
	public String getLastModPwdTimeEnd(){
		return this.lastModPwdTimeEnd;
	}

	/**
	 * 设置 结束 最后修改密码时间
	 * @param lastModPwdTimeEnd
	 */
	public void setLastModPwdTimeEnd(String lastModPwdTimeEnd){
		this.lastModPwdTimeEnd = lastModPwdTimeEnd;
	}

	/**
	 * 获取 最后修改密码地址
	 * @return lastModPwdAddrList
	 */
	public List<String> getLastModPwdAddrList(){
		return this.lastModPwdAddrList;
	}

	/**
	 * 设置 最后修改密码地址
	 * @param lastModPwdAddrList
	 */
	public void setLastModPwdAddrList(List<String> lastModPwdAddrList){
		this.lastModPwdAddrList = lastModPwdAddrList;
	}


}